macroScript FrameConverter
category:"KFScripts" 
toolTip:"FrameConverter" 
buttonText:"FrameConverter"
--------------------------------
----v.1.03 of Frame Converter---
---Written by Kiel Figgins------
-----www.3dfiggins.com----------
--------------------------------
--Interface output of current frame range, coverted to seconds, converted to milliseconds
--------------------------------
--Version History
--------------------------------
--v.1.03 (04-22-2006) - Adjusted Millisecond entered conversion
--v.1.02 (04-01-2006) - Able to now enter in other values and have it compute on pressing 'enter'
--v.1.01 (03-31-2006) - Added in on open function
--v.1.00 (03-31-2006) - Orginal Script
--------------------------------


(
try(cui.FloatDialogBar FrameConverter)catch()
try(cui.unRegisterDialogBar FrameConverter)catch()
try(destroyDialog FrameConverter) catch()

rollout FrameConverter "Converter.3"
(
	editText edtFrames "Frames " pos:[2,3] width:80 height:17
	editText edtSecs "Secs    " pos:[3,23] width:78 height:17
	editText edtMillis "Millis     " pos:[2,44] width:79 height:17
	button btnGet "Current Range" pos:[6,65] width:76 height:15 tooltip:"Gets values based off current time range"

on btnGet pressed do
(
kflength = (animationRange.end as integer)/TicksPerFrame - (animationRange.start as integer)/TicksPerFrame
secs = kflength / 30 as float
millis = (secs * 1000 as integer) as integer

--Print to boxes
edtFrames.text = kflength as string
edtSecs.text = secs as string
edtMillis.text = millis as string
)--end of btnGet

on edtFrames entered val do
(
kflength = val as integer
secs = kflength / 30 as float
millis = (secs * 1000 as integer) as integer

--Print to boxes
edtSecs.text = secs as string
edtMillis.text = millis as string
)

on edtSecs entered val do
(
secs = val as float
kflength = (secs * 30 as integer) as integer
millis = (secs * 1000 as integer) as integer

--Print to boxes
edtFrames.text = kflength as string
edtMillis.text = millis as string
)

on edtMillis entered val do
(
millis = val as float
secs = (millis / 1000 as integer) as float
kflength = secs * 30 as integer

--Print to boxes
edtFrames.text = kflength as string
edtSecs.text = secs as string
)

on FrameConverter open do
(
kflength = (animationRange.end as integer)/TicksPerFrame - (animationRange.start as integer)/TicksPerFrame
secs = kflength / 30 as float
millis = (secs * 1000 as integer) as integer

--Print to boxes
edtFrames.text = kflength as string
edtSecs.text = secs as string
edtMillis.text = millis as string
)

)
createDialog FrameConverter width:87 height:85 pos:[1130,78] \
style:#(#style_border, #style_titlebar, #style_sysmenu, #style_minimizebox)
try(cui.RegisterDialogBar FrameConverter maxsize:[73,145]) catch()

)--End of script